package ru.ulstu.extractor;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.context.event.EventListener;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import ru.ulstu.extractor.gitrepository.service.IndexService;

@SpringBootApplication
@EnableScheduling
@EnableAsync
public class GitExtractorApplication {
    private final IndexService indexService;

    public GitExtractorApplication(IndexService indexService) {
        this.indexService = indexService;
    }

    public static void main(String[] args) {
        SpringApplication.run(GitExtractorApplication.class, args);
    }

    @EventListener(ApplicationReadyEvent.class)
    public void doSomethingAfterStartup() {
        indexService.indexFailedBranchesOnStart();
    }

}
