package ru.ulstu.extractor.ts.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import ru.ulstu.extractor.ts.model.TimeSeries;
import ru.ulstu.extractor.ts.service.TimeSeriesService;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

@Controller
@ApiIgnore
public class TimeSeriesMarkupController {
    private final TimeSeriesService timeSeriesService;

    public TimeSeriesMarkupController(TimeSeriesService timeSeriesService) {
        this.timeSeriesService = timeSeriesService;
    }

    @GetMapping("time-series-markup")
    public String markupTs(Model model) {
        List<TimeSeries> ts = timeSeriesService.getAllTimeSeries();
        model.addAttribute("ts", ts);
        return "markup";
    }
}
