package ru.ulstu.extractor.ts.creator.db;

import org.springframework.stereotype.Component;
import ru.ulstu.extractor.branch.model.Branch;
import ru.ulstu.extractor.branch.service.BranchService;
import ru.ulstu.extractor.ts.model.TimeSeries;
import ru.ulstu.extractor.ts.model.TimeSeriesType;
import ru.ulstu.extractor.ts.service.TimeSeriesService;
import ru.ulstu.extractor.ts.util.Dummy;

import java.util.Collections;
import java.util.List;

@Component
public class InterfaceTS extends DBTimeSeriesCreator {
    private final TimeSeriesService timeSeriesService;
    private final BranchService branchService;

    public InterfaceTS(TimeSeriesService timeSeriesService,
                       BranchService branchService) {
        this.timeSeriesService = timeSeriesService;
        this.branchService = branchService;
    }

    @Override
    public List<TimeSeries> getTimeSeries(Branch branch) {
        return Collections.singletonList(
                new TimeSeries(
                        String.format("%s %s %s",
                                branch.getGitRepository().getName(),
                                branch.getName(),
                                getTimeSeriesType().getDescription()),
                        branchService.findByRepositoryAndName(branch.getGitRepository(), branch.getName()),
                        getTimeSeriesType(),
                        Dummy.getDefaultTimeSeries()));
    }

    @Override
    public TimeSeriesService getTimeSeriesService() {
        return timeSeriesService;
    }

    @Override
    public TimeSeriesType getTimeSeriesType() {
        return TimeSeriesType.INTERFACES;
    }
}
